For the complete documentation index, see llms.txt. This page is also available as Markdown.

Messages

List

get

Retrieve Auto-upgrade Message(s).

Responses
200

Success

application/json; api-version=1.0

Schedule Message

idinteger · int32Optional

ID of the object.

enabledbooleanOptional

Enabled

messageTitlestring · nullableOptional

Message title

messagestring · nullableOptional

Message

sendMsgSecsinteger · int32Optional

Seconds before message is sent

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
get/api/AVD/DefaultSettings/MultiSession/AutoUpgrade/Messages
GET /api/AVD/DefaultSettings/MultiSession/AutoUpgrade/Messages HTTP/1.1
Accept: */*
[
  {
    "id": 1,
    "enabled": true,
    "messageTitle": "text",
    "message": "text",
    "sendMsgSecs": 1,
    "sendMsgWhen": [
      "0 = Before",
      "1 = After"
    ]
  }
]

Create

post

Create an Auto-upgrade Message.

Body

Add a message to the Auto-upgrade message list

enabledbooleanOptional

Whether to enable or disable the message.

messageTitlestring · min: 1 · max: 255 · nullableRequired

The title of the message.

messagestring · min: 1 · max: 255 · nullableRequired

A message that should be sent to users before the job starts.

sendMsgSecsinteger · int32Optional

Time interval in seconds before the job starts when the message to users should be sent.

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
Responses
201

Created

No content

post/api/AVD/DefaultSettings/MultiSession/AutoUpgrade/Messages
POST /api/AVD/DefaultSettings/MultiSession/AutoUpgrade/Messages HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 112

{
  "enabled": true,
  "messageTitle": "text",
  "message": "text",
  "sendMsgSecs": 1,
  "sendMsgWhen": [
    "0 = Before",
    "1 = After"
  ]
}

No content

Get

get

Retrieve an Auto-upgrade Message.

Path parameters
messageIdinteger · int32Required

The ID of the message to retrieve.

Responses
200

Success

application/json; api-version=1.0

Schedule Message

idinteger · int32Optional

ID of the object.

enabledbooleanOptional

Enabled

messageTitlestring · nullableOptional

Message title

messagestring · nullableOptional

Message

sendMsgSecsinteger · int32Optional

Seconds before message is sent

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
get/api/AVD/DefaultSettings/MultiSession/AutoUpgrade/Messages/{messageId}
GET /api/AVD/DefaultSettings/MultiSession/AutoUpgrade/Messages/{messageId} HTTP/1.1
Accept: */*
{
  "id": 1,
  "enabled": true,
  "messageTitle": "text",
  "message": "text",
  "sendMsgSecs": 1,
  "sendMsgWhen": [
    "0 = Before",
    "1 = After"
  ]
}

Update

put

Update an Auto-upgrade Message.

Path parameters
messageIdinteger · int32Required

The ID of the message to modify.

Body

Modify a message within the Auto-upgrade message list

enabledboolean · nullableOptional

Whether to enable or disable the message.

messageTitlestring · min: 1 · max: 255 · nullableOptional

The title of the message.

messagestring · min: 1 · max: 255 · nullableOptional

A message that should be sent to users before the job starts.

sendMsgSecsinteger · int32 · nullableOptional

Time interval in seconds before the job starts when the message to users should be sent.

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
Responses
204

No Content

No content

put/api/AVD/DefaultSettings/MultiSession/AutoUpgrade/Messages/{messageId}
PUT /api/AVD/DefaultSettings/MultiSession/AutoUpgrade/Messages/{messageId} HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 112

{
  "enabled": true,
  "messageTitle": "text",
  "message": "text",
  "sendMsgSecs": 1,
  "sendMsgWhen": [
    "0 = Before",
    "1 = After"
  ]
}

No content

Delete

delete

Delete an Auto-upgrade Message by ID.

Path parameters
messageIdinteger · int32Required

The ID of the message to remove.

Responses
204

No Content

No content

delete/api/AVD/DefaultSettings/MultiSession/AutoUpgrade/Messages/{messageId}
DELETE /api/AVD/DefaultSettings/MultiSession/AutoUpgrade/Messages/{messageId} HTTP/1.1
Accept: */*

No content